package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SaleContractE1Factory
{
    private SaleContractE1Factory()
    {
    }
    public static com.kingdee.eas.custom.gggl.ISaleContractE1 getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContractE1)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("11891823") ,com.kingdee.eas.custom.gggl.ISaleContractE1.class);
    }
    
    public static com.kingdee.eas.custom.gggl.ISaleContractE1 getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContractE1)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("11891823") ,com.kingdee.eas.custom.gggl.ISaleContractE1.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.ISaleContractE1 getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContractE1)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("11891823"));
    }
    public static com.kingdee.eas.custom.gggl.ISaleContractE1 getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ISaleContractE1)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("11891823"));
    }
}